Package be.fgov.ehealth.dics.core.v4.actual.common

# Class AmppComponentKeyType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.AmppComponentKeyType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultAmppComponentType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class AmppComponentKeyType extends Object implements Serializable

Java class for AmppComponentKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmppComponentKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="AmpcSequenceNr" type="{urn:be:fgov:ehealth:dics:core:v4:core}PositiveShortType" />
           <attribute name="SequenceNr" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}PositiveShortType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmppComponentKeyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Short`
  `getAmpcSequenceNr()`
  An AMPP Component is the packaging of exactly one AMP Component when the type of this packaging is not a device.
  `short`
  `getSequenceNr()`
  Number determined by the provider for distinguishing an AMPPC from another.
  `void`
  `setAmpcSequenceNr(Short value)`
  Sets the value of the ampcSequenceNr property.
  `void`
  `setSequenceNr(short value)`
  Sets the value of the sequenceNr property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmppComponentKeyType

    public AmppComponentKeyType()

- ## Method Details

  - ### getAmpcSequenceNr

    public Short getAmpcSequenceNr()
    An AMPP Component is the packaging of exactly one AMP Component when the type of this packaging is not a device. When the AMPP Component is of type ‘device’, it has no AMP Component.
    Returns:
      possible object is `Short`

  - ### setAmpcSequenceNr

    public void setAmpcSequenceNr(Short value)
    Sets the value of the ampcSequenceNr property.
    Parameters:
      `value` - allowed object is `Short`
    See Also:
      - `getAmpcSequenceNr()`

  - ### getSequenceNr

    public short getSequenceNr()
    Number determined by the provider for distinguishing an AMPPC from another. In case of many AMPPCs under an AMPP, the order has no significance.

  - ### setSequenceNr

    public void setSequenceNr(short value)
    Sets the value of the sequenceNr property.